Bug 194611 - retrieving DatebookDB.pdb fails after 133KB
retrieving DatebookDB.pdb fails after 133KB
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pilot-link (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 08:32 EDT by Patrick C. F. Ernzer
Modified: 2008-02-08 04:55 EST (History)
0 users

See Also:
Fixed In Version: pilot-link-0.12.1-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 04:55:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
script of steps taken in reproducing (4.37 KB, application/octet-stream)
2006-06-14 08:34 EDT, Patrick C. F. Ernzer
no flags Details
debug log on FC5 2006-07-10 (254.45 KB, text/plain)
2006-07-10 09:58 EDT, Patrick C. F. Ernzer
no flags Details
debug lon on FC4 20060710 (254.61 KB, text/plain)
2006-07-10 16:45 EDT, Patrick C. F. Ernzer
no flags Details
debug log described in Comment #21 (489.27 KB, text/plain)
2006-12-14 09:41 EST, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2006-06-14 08:32:41 EDT
Description of problem:
neither pilot-xfer, nor jpilot can retrieve my DatebookDB. Transfer goes well up
to some 133KB and then I get "Failed, unable to back up database"

Version-Release number of selected component (if applicable):
pilot-link-0.11.8-12.4.fc5

How reproducible:
always

Steps to Reproduce:
1. export PILOT_DEBUG="DEV SLP CMP PADP SOCK"
2. export PILOT_DEBUG_LEVEL="DEBUG"
3. export PILOT_LOG=1
4. export PILOT_LOGFILE="pilot-link-debug.log"
5. pilot-xfer -b backup/
  
Actual results:
[...]
Backing up backup//DatebookDB.pdb             Failed, unable to back up database

RAM backup complete.
Time elapsed: 0:02:49


Expected results:
complete backup of my PalmT5

Additional info:
PalmOS 5.4.8
Comment 1 Patrick C. F. Ernzer 2006-06-14 08:34:42 EDT
Created attachment 130832 [details]
script of steps taken in reproducing

the result of "script PilotTestst-2006-06-14.log"
note that after failure I retried just grabbing DatebookDB on it's own with the
same result
Comment 3 Patrick C. F. Ernzer 2006-07-10 09:52:15 EDT
<sarcasm>marvelous</sarcasm>

pilot-xfer -f DatebookDB

worked once on the shell and a slow sync in jpilot after that worked as well.

$ ls -lh DatebookDB.pdb
-rw-rw-r-- 1 pcfe pcfe 146K Jul 10 16:52 DatebookDB.pdb

No idea if syncing it yesterday to my Mac did any changes (doubtful as it is set
to 'Handheld overwrites Mac'), the latest kernel update (2.6.17-1.2145_FC5smp)
or just the phase of the moon.

still using pilot-link-0.11.8-12.4.fc5 as in the original report.


A subsequent pilot-xfer -b . failed with the knows "Backing up ./DatebookDB.pdb
                  Failed, unable to back up database". And now pilot-xfer -f
DatebookDB fails as well.

Don't we all love non-deterministic bugs.

So Than, what would you like me to test to get to the bottom of this?

Comment 4 Patrick C. F. Ernzer 2006-07-10 09:58:59 EDT
Created attachment 132176 [details]
debug log on FC5 2006-07-10

new log for your debugging pleasure:

[pcfe@bofferding-pcfe palm]$ export PILOT_DEBUG="DEV SLP CMP PADP SOCK"
[pcfe@bofferding-pcfe palm]$ export PILOT_DEBUG_LEVEL="DEBUG"
[pcfe@bofferding-pcfe palm]$ export PILOT_LOG=1
[pcfe@bofferding-pcfe palm]$ rm *
[pcfe@bofferding-pcfe palm]$ ls
[pcfe@bofferding-pcfe palm]$ export PILOT_LOGFILE="pilot-link-debug.log"
[pcfe@bofferding-pcfe palm]$ pilot-xfer -f DatebookDB


   Listening to port: /dev/pilot

   Please press the HotSync button now... Connected

Fetching 'DatebookDB.pdb'... Failed, unable to fetch database
Fetch complete.
Time elapsed: 0:00:36

[pcfe@bofferding-pcfe palm]$ ls -l
total 412
-rw-rw-r-- 1 pcfe pcfe 149149 Jul 10 17:04 DatebookDB.pdb
-rw-rw-r-- 1 pcfe pcfe 260553 Jul 10 17:04 pilot-link-debug.log

(well, at least we got a bit more than 133KB this time)
Comment 5 Patrick C. F. Ernzer 2006-07-10 16:42:57 EDT
tried to reproduce on an FC4 box with kernel-2.6.11-1.1369_FC4. No joy at all,
not on the pilot-link side, but udev did not seem to happy as I got USB errors
on a known good port.

Did not investigate furtehr as such an ancient kernel will not be used on this
box any more.
Comment 6 Patrick C. F. Ernzer 2006-07-10 16:45:37 EDT
Created attachment 132197 [details]
debug lon on FC4 20060710

as requested, tested on FC4 as well

[pcfe@morn pilot-testing]$ export PILOT_DEBUG="DEV SLP CMP PADP SOCK"
[pcfe@morn pilot-testing]$ export PILOT_DEBUG_LEVEL="DEBUG"
[pcfe@morn pilot-testing]$ export PILOT_LOG=1
[pcfe@morn pilot-testing]$ export PILOT_LOGFILE="pilot-link-debug.log"
[pcfe@morn pilot-testing]$ pilot-xfer -f DatebookDB
   No $PILOTPORT specified and no -p <port> given.
   Defaulting to '/dev/pilot'
   ERROR: No such file or directory (2)

   Error accessing: '/dev/pilot'. Does '/dev/pilot' exist?
   Please use --help for more information

[pcfe@morn pilot-testing]$ pilot-xfer -f DatebookDB
   No $PILOTPORT specified and no -p <port> given.
   Defaulting to '/dev/pilot'


   Listening to port: /dev/pilot

   Please press the HotSync button now... Connected

Fetching 'DatebookDB.pdb'... Failed, unable to fetch database
Fetch complete.
Time elapsed: 0:00:32
[pcfe@morn pilot-testing]$ uname -r
2.6.17-1.2141_FC4
[pcfe@morn pilot-testing]$ rpm -q pilot-link
pilot-link-0.11.8-11.4.fc4
Comment 7 Patrick C. F. Ernzer 2006-07-10 17:04:17 EDT
verifierd that syncing to the Mac (Comment #3) making it work twice really is
just a coincidence.

Synced to the Mac again, then to the FC box (as in Comment #6), got failure on
the FC4 box.
Comment 8 Patrick C. F. Ernzer 2006-07-12 08:03:33 EDT
Well, at least now I can say that the size in itself is not part of the problem.
Failed to sync this morning, so I decided on the test below

(MyLittleTank.prc is some game and the biggest file I have on the internal
memory of my device)

[pcfe@bofferding-pcfe palm]$ rm *
[pcfe@bofferding-pcfe palm]$ export PILOT_DEBUG="DEV SLP CMP PADP SOCK"
[pcfe@bofferding-pcfe palm]$ export PILOT_DEBUG_LEVEL="DEBUG"
[pcfe@bofferding-pcfe palm]$ export PILOT_LOG=1
[pcfe@bofferding-pcfe palm]$ export PILOT_LOGFILE="pilot-link-debug.log"
[pcfe@bofferding-pcfe palm]$ pilot-xfer -f MyLittleTank.prc


   Listening to port: /dev/pilot

   Please press the HotSync button now... Connected

Fetching 'MyLittleTank.prc'... OK
Fetch complete.
Time elapsed: 0:00:30
[pcfe@bofferding-pcfe palm]$ ls -l
total 2368
-rw-rw-r-- 1 pcfe pcfe 1633921 Jul 12 15:05 MyLittleTank.prc
-rw-rw-r-- 1 pcfe pcfe  778975 Jul 12 15:05 pilot-link-debug.log
[pcfe@bofferding-pcfe palm]$ pilot-xfer -f DatebookDB


   Listening to port: /dev/pilot

   Please press the HotSync button now... Connected

Fetching 'DatebookDB.pdb'... Failed, unable to fetch database
Fetch complete.
Time elapsed: 0:00:31
[pcfe@bofferding-pcfe palm]$ ls -l
total 2012
-rw-rw-r-- 1 pcfe pcfe  149334 Jul 12 15:06 DatebookDB.pdb
-rw-rw-r-- 1 pcfe pcfe 1633921 Jul 12 15:05 MyLittleTank.prc
-rw-rw-r-- 1 pcfe pcfe  261038 Jul 12 15:06 pilot-link-debug.log
[pcfe@bofferding-pcfe palm]$ tail pilot-link-debug.log
DEV RX Unix Serial Bytes: 6
DEV RX Unix Serial Bytes: 60
DEV TX Unix Serial Bytes: 6
DEV TX Unix Serial Bytes: 5
DEV RX Unix Serial timeout
DEV TX Unix Serial Bytes: 6
DEV TX Unix Serial Bytes: 6
DEV RX Unix Serial Bytes: 6
DEV CLOSE Serial Unix fd: 5
DEV CLOSE Serial Unix fd: 4
Comment 9 Patrick C. F. Ernzer 2006-07-17 05:57:57 EDT
tried the following;
soft reset the Palm after a failed retrieve of DatebookDB, this worked (well at
least once)

Obviously this is not a solution, but a work around.

methinks that the PalmOne DM patch (the thing on PalmOS 5 that translates from
the new type PIM databases to the old type is just taking too long. How can I
turn up the timeout to verify this?
Comment 10 Patrick C. F. Ernzer 2006-07-17 16:38:00 EDT
soft resetting the Palm seems to work repeatedly, I've now done it twice to sync
one machine and once for another, each of them with success
Comment 11 Patrick C. F. Ernzer 2006-07-18 05:11:35 EDT
Here is another thing to try. From http://www.pimlicosoftware.com/datebk6faq.htm

If you have a newer PalmOne device, a known bug in the PalmOne DM Patch software
can cause the Palm conduit (and other conduits) to hang on the calendar. In that
case, run dbScan and use the option to Remove all Deleted Records.
Comment 12 Patrick C. F. Ernzer 2006-07-18 15:07:43 EDT
Just tried Comment #11
does not help. dbScan fund 0 deleted records in bith scans (PalmOne and
PalmSource). *sigh*

Soft-resetting the device still works as a work-around though. It just is no
real slution as I have to do this every 5 syncs or so.
Comment 13 Patrick C. F. Ernzer 2006-07-25 04:03:38 EDT
Just had the first iteration where reset of the palm device did not work :-(
Comment 14 Ivana Varekova 2006-11-28 09:12:15 EST
Could you please try to reproduce your bug this the latest version of pilot-link
pilot-link-0.12.1-3.fc7.
Comment 15 Patrick C. F. Ernzer 2006-11-29 08:17:33 EST
Updated the two FC6 boxes I use the Palm with to:
jpilot-0.99.9-2.fc7.i386.rpm
pilot-link-0.12.1-3.fc7.i386.rpm
pilot-link-devel-0.12.1-3.fc7.i386.rpm

Did not install dependencies (there are 19 of them) as not relevant for this test.

Will now let that run a few days and report back
Comment 16 Ivana Varekova 2006-11-29 08:23:18 EST
Great. Thanks for your help.
Comment 17 Patrick C. F. Ernzer 2006-12-04 06:03:16 EST
Not quite ready to close the bug yet (seeing that in the past there were updates
where it seemed to work for a few days), but so far it looks good.

Palm has not been soft-reset since I installed pilot-link-0.12.1-3.fc7 and I can
grab my files just fine on two different FC6 boxes.

Will close if it's still OK in a week or so. Leave on needinfo until then please.
Comment 18 Patrick C. F. Ernzer 2006-12-08 08:14:08 EST
OK, it's been a week now and I can still retrieve data fine.
You can close this when the updated pilot-link makes it into FC6.
Had one weird instance where a record changed on both ends did not yield a
waring message as expected, but if I can reproduce this it will be treated in
another BZ entry.
Comment 19 Ivana Varekova 2006-12-08 08:52:56 EST
Thanks you for your excellent help.
There is no plan to put pilot-link-0.12.1 to fc6, there could be a lot of
regressions (there are changes in api). 
If you could reproduce the second problem please create new bugzilla.

Comment 20 Patrick C. F. Ernzer 2006-12-14 09:36:28 EST
Argl, everytime this looks fixed my Palm decides to fail a few days later.
Just had my first failure to sync.
Comment 21 Patrick C. F. Ernzer 2006-12-14 09:40:49 EST
[pcfe@bofferding-pcfe palm]$ export PILOT_DEBUG="DEV SLP CMP PADP SOCK"
[pcfe@bofferding-pcfe palm]$ export PILOT_DEBUG_LEVEL="DEBUG"
[pcfe@bofferding-pcfe palm]$ export PILOT_LOG=1
[pcfe@bofferding-pcfe palm]$ export PILOT_LOGFILE="pilot-link-debug.log"
[pcfe@bofferding-pcfe palm]$ rpm -q pilot-link
pilot-link-0.12.1-3.fc7
[pcfe@bofferding-pcfe palm]$ uname -r
2.6.18-1.2849.fc6
[pcfe@bofferding-pcfe palm]$ rpm -q fedora-release
fedora-release-6-4
[pcfe@bofferding-pcfe palm]$ pilot-xfer -f DatebookDB

   Listening for incoming connection on /dev/pilot... connected!

   Parsing list of files from handheld... done.
   Fetching 'DatebookDB.pdb' ... (182606 bytes)Failed, unable to fetch database
from the Palm.
 complete.



   Thank you for using pilot-link.

[pcfe@bofferding-pcfe palm]$ ls -l
total 708
-rw-r--r-- 1 pcfe pcfe 203166 Dec 14 16:39 DatebookDB.pdb
-rw-r--r-- 1 pcfe pcfe 501013 Dec 14 16:39 pilot-link-debug.log
[pcfe@bofferding-pcfe palm]$ 
Comment 22 Patrick C. F. Ernzer 2006-12-14 09:41:54 EST
Created attachment 143634 [details]
debug log described in Comment #21
Comment 23 Patrick C. F. Ernzer 2006-12-14 09:45:52 EST
soft-reset of the Palm, as before, makes the sync work.

The weird thing here is that is seems to fail at the very end, pilot-link
reports (on the post-reset transfer)

[pcfe@bofferding-pcfe palm]$ pilot-xfer -f DatebookDB

   Listening for incoming connection on /dev/pilot... connected!

   Parsing list of files from handheld... done.
   Fetching 'DatebookDB.pdb' ... (182606 bytes) complete.


   Thank you for using pilot-link.

[pcfe@bofferding-pcfe palm]$ 

(so same amount of bytes)
Comment 24 Ivana Varekova 2007-08-22 10:46:51 EDT
Please could you reproduce this problem with current version of pilot-links?
Thanks.
Comment 25 Patrick C. F. Ernzer 2007-08-28 10:26:49 EDT
Ivana,
I saw the problem once with pilot-link-0.12.1-6.fc7 but have been unable to
reproduce it since that occurence.

Overall pilot-link has been much better for me in the last 6 months. I say we
close this in a month if neither I nor somebody else sees the problem pop up
with a current version of pilot-link until then. Do you agree?
Comment 26 Ivana Varekova 2007-08-29 03:16:37 EDT
OK. Thanks for your help Patrick.

Note You need to log in before you can comment on or make changes to this bug.